Class SlotAttribute

Declaration :

- C++ : struct SlotAttribute
- Java : class SlotAttribute

Artifact : SlotAttribute

Stereotype: struct

Relation attribute (<unidirectional association>)

Declaration :

- Uml : + attribute : UmlAttribute
- C++ : public: UmlAttribute * attribute
- Java : public UmlAttribute attribute

Attribute value

Declaration :

- Uml : + value : string
- C++ : public: QCString value
- Java : public String value

Operation SlotAttribute

because of QValueList use

Declaration :

- Uml : + SlotAttribute() :
- C++ : public: SlotAttribute() : attribute(0)

Operation SlotAttribute

Declaration :

- Uml : + SlotAttribute(inout a : UmlAttribute, inout v : string) :
- C++ : public: SlotAttribute(UmlAttribute * a, QCString v) : attribute(a), value(v)
- Java : public SlotAttribute(UmlAttribute a, String v)